package various.uicomponents;
import javax.el.ValueExpression;
import javax.faces.component.UIComponent;
import javax.faces.webapp.UIComponentELTag;

/**
* Plik klasy obslugi znacznika dla komponentu ComboFieldset (patrz rozdzial 5.1).
 *
 */
public class ComboFieldsetTag extends UIComponentELTag {

	

	@Override
	public String getComponentType() {
		return ComboFieldset.COMPONENT_TYPE;
	}

	@Override
	public String getRendererType() {
		return "uicomponents.ComboFieldsetRenderer";
	}

	public void setProperties(UIComponent component) {
		super.setProperties(component);
		component.setValueExpression("legend", legend);
		component.setValueExpression("rolled", rolled);
	}
	private ValueExpression rolled = null;
	private ValueExpression legend = null;

	public ValueExpression getRolled() {
		return rolled;
	}

	public void setRolled(ValueExpression rolled) {
		this.rolled = rolled;
	}

	public ValueExpression getLegend() {
		return legend;
	}

	public void setLegend(ValueExpression legend) {
		this.legend = legend;
	}

	@Override
	public void release() {
		super.release();
		rolled = null;
		legend = null;
	}
	
	
}
